Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.server.oauth.webapp.services
Class CSRFPrevent

    java.lang.Object
      org.eclipse.lyo.server.oauth.webapp.services.CSRFPrevent

    public class CSRFPrevent

extends Object

Checks requests to see if they have the right X-CSRF-Prevent header values.

Author:
  Samuel Padgett

Constructor Summary
`CSRFPrevent()`

Method Summary
`static void` | `check(javax.servlet.http.HttpServletRequest httpRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSRFPrevent

    public CSRFPrevent()

Method Detail

### check

    public static void check(javax.servlet.http.HttpServletRequest httpRequest)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.